Create legalHold userSource

Namespace: microsoft.graph.ediscovery

Important

APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.

Adds a userSource to a legalHold object.

Permissions

One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.

Permission type Permissions (from least to most privileged)
Delegated (work or school account) eDiscovery.Read.All, eDiscovery.ReadWrite.All
Delegated (personal Microsoft account) Not supported.
Application Not supported.

HTTP request

POST /compliance/ediscovery/cases/{caseId}/legalHolds/{legalholdId}/userSources

Request headers

Name Description
Authorization Bearer {token}. Required.
Content-Type application/json. Required.

Request body

In the request body, supply a JSON representation of the userSource object.

The following table shows the properties that are required when you create the userSource.

Property Type Description
email String SMTP address of the user or the SMTP address of the group mailbox. To get the email address of the group, use List groups or Get group. Using get group, you can query by the name of the group using $filter; for example, https://graph.microsoft.com/v1.0/groups?$filter=displayName eq 'secret group'&$select=mail,id,displayName.
includedSources microsoft.graph.ediscovery.sourceType Specifies which sources are included in this group. This value must be mailbox, site is not supported for legalHolds at this time.

Response

If successful, this method returns a 201 Created response code and a microsoft.graph.ediscovery.userSource object in the response body.

Examples

Request

POST https://graph.microsoft.com/beta/compliance/ediscovery/cases/c816dd6f-5af8-40c5-a760-331361e05c60/legalHolds/387566cc-38ae-4e85-ab4b-cd2dd34faa07/userSources
Content-Type: application/json

{
  "email": "adelev@contoso.com",
  "includedSources": "mailbox"
}

Response

Note: The response object shown here might be shortened for readability.

HTTP/1.1 201 Created
Content-Type: application/json

{
    "@odata.context": "https://graph.microsoft.com/beta/$metadata#compliance/ediscovery/cases/c816dd6f-5af8-40c5-a760-331361e05c60/legalholds/387566cc-38ae-4e85-ab4b-cd2dd34faa07/userSources",
    "value": [
        {
            "displayName": "Adele Vance",
            "createdDateTime": "2020-12-28T20:08:57.857Z",
            "id": "2192ca40-8ea2-410e-ba3b-ec8ae873be6b",
            "email": "AdeleV@contoso.com",
            "includedSources": "mailbox",
            "createdBy": {
                "user": {
                    "id": null,
                    "displayName": "EDiscovery admin"
                }
            }
        }
    ]
}